%define with_indilib 1
%define indilib_version 0.9.6
%define xplanet_version 1.2.1

Summary:	A Desktop Planetarium
Name:		kstars
Version:	4.13.3
Release:	1
License:	GPLv2+ GFDL
Group:		Graphical desktop/KDE
Url:		http://edu.kde.org/kstars
Source0:	ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
Source10:	%{name}.rpmlintrc
BuildRequires:	xplanet >= %{xplanet_version}
BuildRequires:	kdelibs4-devel
BuildRequires:	libfli-devel
BuildRequires:	pkgconfig(cfitsio)
BuildRequires:	pkgconfig(eigen3)
BuildRequires:	pkgconfig(QJson)
%if %{with_indilib}
BuildRequires:	pkgconfig(libindi) >= %{indilib_version}
Requires:	indilib >= %{indilib_version}
%endif

%description
KStars is a Desktop Planetarium for KDE. It provides an accurate graphical
simulation of the night sky, from any location on Earth, at any date and
time. The display includes 130,000 stars, 13,000 deep-sky objects,all 8
planets, the Sun and Moon, and thousands of comets and asteroids.

%files
%doc COPYING COPYING.DOC README README.ephemerides README.customize README.images README.planetmath README.timekeeping AUTHORS
%{_kde_appsdir}/kstars
%{_kde_bindir}/kstars
%{_kde_libdir}/libhtmesh.a
%{_kde_iconsdir}/*/*/apps/kstars.*
%{_kde_applicationsdir}/kstars.desktop
%{_kde_datadir}/config.kcfg/kstars.kcfg
%{_kde_configdir}/kstars.knsrc
%{_kde_docdir}/HTML/*/kstars

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build


%changelog
* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.13.3-1
+ Revision: a173fe8
- LOG New version 4.13.3 (sync spec and patches with Cooker)


